/*=============================================================================
Vitalnix/ACCDB - Unified Account Database
backends/dummy.cpp - Dummy back-end module
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003 - 2004
  -- License restrictions apply (Dual FAL/LGPL2)
  -- For details see doc/FAL.txt and doc/LGPL2.txt.
  $Id: dummy.cpp,v 1.7 2004/04/24 14:29:36 hirogen2 Exp $
=============================================================================*/
#include <errno.h>
#include <stdio.h>
#include <accdb.h>
#include <accdb_int.h>

class DState {
  public:
    DState(void);
    ~DState(void);
};

MODULE_NAME("Dummy back-end module");
MODULE_DESC("Does absolutely nothing");
MODULE_INFO("This module is in C++");

//-----------------------------------------------------------------------------
int q_open(struct accdb_module *mp) {
    DState *sp = new DState();
    mp->state = sp;
    return 1;
}

int q_usertrav(struct accdb_module *mp, struct accdb_user *u) {
    return 0;
}

int q_userinfo(struct accdb_module *mp, struct accdb_user *rq,
 struct accdb_user *dest, size_t s) {
    return 0;
}

int q_useradd(struct accdb_module *mp, struct accdb_user *u) {
    return 1;
}

int q_usermod(struct accdb_module *mp, struct accdb_user *sm,
 struct accdb_user *mm) {
    return 1;
}

int q_userdel(struct accdb_module *mp, struct accdb_user *u) {
    return 1;
}

//-----------------------------------------------------------------------------
int q_grouptrav(struct accdb_module *mp, struct accdb_group *g) {
    return 0;
}

int q_groupinfo(struct accdb_module *mp, struct accdb_group *rq,
 struct accdb_group *dest, size_t s) {
    return 0;
}

int q_groupadd(struct accdb_module *mp, struct accdb_group *g) {
    return 1;
}

int q_groupmod(struct accdb_module *mp, struct accdb_group *sm,
 struct accdb_group *mm) {
    return 1;
}

int q_groupdel(struct accdb_module *mp, struct accdb_group *g) {
    return 1;
}

//-----------------------------------------------------------------------------
int q_close(struct accdb_module *mp) {
    DState *sp = (DState *)mp->state;
    delete sp;
    return 1;
}

long q_sysctl(unsigned int req, ...) {
    int rv = 1;

    switch(req) {
        case ACCDB_ADDFLAGS:
        case ACCDB_DELFLAGS:
        case ACCDB_FLUSHDB:
            break;
        case ACCDB_COUNT_USERS:
        case ACCDB_COUNT_GROUPS:
            rv = 0;
            break;
        default:
            rv = -ENOSYS;
            break;
    }

    return rv;
}

//-----------------------------------------------------------------------------
DState::DState(void) {
    return;
}

DState::~DState(void) {
    return;
}

//==[ End of file ]============================================================
