/*=============================================================================
Vitalnix - User Management Suite
sysprog/shared.h
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2003 - 2004
  -- License restrictions apply (Dual FAL/LGPL2)
  -- For details see doc/FAL.txt and doc/LGPL2.txt.
  $Id: shared.h,v 1.9 2004/04/11 09:47:35 hirogen2 Exp $
=============================================================================*/
#ifndef _PRIVATE_SYSPROG_SHARED_H
#define _PRIVATE_SYSPROG_SHARED_H 1

#define MAXFNLEN 512  /* max length for filename buffer */
#define MAXLNLEN 1024 /* max length for line buffer */
#define MAXSNLEN 128  /* max length for a short line */

#ifdef __cplusplus
extern "C" {
#endif

struct itab {
    const char *fmt;
    char type;
    void *ptr;
    int (*callback)(const char *, char, void *);
};

extern int Sh_count_args(const char **);
extern void Sh_interactive(struct itab *);
extern long Sh_string_to_iday(char *);
extern int Sh_only_digits(char *);

#ifdef __cplusplus
} // extern "C"
#endif

#endif /* _PRIVATE_SYSPROG_SHARED_H */

//==[ End of file ]============================================================
